# Contributing to this BLT plugin
Feature requests, bugs, support requests, and milestones are tracked via the [BLT PHPCS GitHub issue queue](https://github.com/acquia/blt-phpcs/issues).

Before submitting an issue or pull request, please read and take the time to understand this guide. Issues not adhering to these guidelines may be closed.

Please be aware that this is **community-supported** software. Contributions in the form of issues or pull requests are welcome, and will be reviewed on a best effort basis. However, Acquia does not provide any direct support for this software or provide any warranty as to its stability.

## Submitting issues

* Issues filed with this project are not subject to an SLA.
* BLT is distributed under the GPLv2 license; all documentation, code, and guidance is provided without warranty.
* The project maintainers are under no obligation to respond to support requests, feature requests, or pull requests.


## Submitting pull requests

Pull requests must also adhere to the following guidelines:
- PRs should be atomic and targeted at a single issue rather than broad-scope.
- PRs must contain clear testing steps and justification, as well as all other information required by the pull request template.
- PRs must pass automated tests before they will be reviewed. We recommend you run the tests locally before submitting (see below).
- PRs must comply with Drupal coding standards and best practices as defined by the project maintainers.
