# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.8.0](https://github.com/loophp/phposinfo/compare/1.7.2...1.8.0)

### Merged

- refactor: Min PHP version is now 8 [`#17`](https://github.com/loophp/phposinfo/pull/17)
- chore(deps): update dependency drupol/php-conventions to v5 [`#11`](https://github.com/loophp/phposinfo/pull/11)
- chore(deps): update dependency infection/infection to ^0.26 [`#6`](https://github.com/loophp/phposinfo/pull/6)
- chore(deps): update dependency infection/phpspec-adapter to ^0.2.0 [`#7`](https://github.com/loophp/phposinfo/pull/7)
- chore(deps): update actions/cache action to v3 [`#9`](https://github.com/loophp/phposinfo/pull/9)
- chore(deps): update actions/checkout action to v3 [`#10`](https://github.com/loophp/phposinfo/pull/10)
- chore(deps): update dependency friends-of-phpspec/phpspec-code-coverage to v6 [`#12`](https://github.com/loophp/phposinfo/pull/12)
- chore(deps): update dependency phpspec/phpspec to v7 [`#13`](https://github.com/loophp/phposinfo/pull/13)
- chore(deps): update actions/checkout action to v2.5.0 [`#4`](https://github.com/loophp/phposinfo/pull/4)
- chore(deps): update actions/cache action to v2.1.7 [`#3`](https://github.com/loophp/phposinfo/pull/3)
- Configure Renovate [`#2`](https://github.com/loophp/phposinfo/pull/2)

### Commits

- docs: update `README` [`2f56dab`](https://github.com/loophp/phposinfo/commit/2f56dabf2a05cc0f82d5026684097ae7ea7ba9f7)
- docs: update `README` [`525f5d3`](https://github.com/loophp/phposinfo/commit/525f5d3a5dfb4ae1501044d5d29ff6be4e87dbaf)
- Min PHP version is now 8 [`b19982c`](https://github.com/loophp/phposinfo/commit/b19982c44d07340cbc3299566f473a482fe71427)
- chore(deps): add renovate.json [`2ad6d51`](https://github.com/loophp/phposinfo/commit/2ad6d512f1eae8b59bd53068ea1dfcbd08901131)

## [1.7.2](https://github.com/loophp/phposinfo/compare/1.7.1...1.7.2) - 2021-06-29

### Commits

- docs: Add/update CHANGELOG. [`106e7b3`](https://github.com/loophp/phposinfo/commit/106e7b3f00849dce1787ebf38da493ba586b48f2)
- chore: Update .gitattributes. [`597e5d3`](https://github.com/loophp/phposinfo/commit/597e5d3469e0d0946e18fc6b917088cdf2cfeae3)
- fix: Autofix code style. [`683d13b`](https://github.com/loophp/phposinfo/commit/683d13b88bd7085bb4e8cc96f09e60edbd5525da)

## [1.7.1](https://github.com/loophp/phposinfo/compare/1.7.0...1.7.1) - 2021-06-29

### Commits

- docs: Add/update CHANGELOG. [`43d2365`](https://github.com/loophp/phposinfo/commit/43d23653e49a24fa8a116210da97e5259e4b97d0)
- docs: Add License header. [`ee112fc`](https://github.com/loophp/phposinfo/commit/ee112fc36f47d271f95fe5349bf276503e92b610)
- chore: Update License. [`fe29042`](https://github.com/loophp/phposinfo/commit/fe290422f3f49c35b43ed48cac10d595ec8696c8)
- docs: Add docker stack for generating Changelog. [`18fc78f`](https://github.com/loophp/phposinfo/commit/18fc78fbd8f7fffac481c120134dbb3fa03403f6)
- refactor: Minimal PHP version required is 7.3. [`7030acb`](https://github.com/loophp/phposinfo/commit/7030acba5be60e8b442d171ee7527cd5561d9650)

## [1.7.0](https://github.com/loophp/phposinfo/compare/1.6.5...1.7.0) - 2021-03-21

### Commits

- docs: Add Changelog. [`36eace3`](https://github.com/loophp/phposinfo/commit/36eace3287d94e3ccf6b938112819766877b9ccd)
- ci: Enable Github release changelog parsing. [`ea357b4`](https://github.com/loophp/phposinfo/commit/ea357b4746ee6a636168c9cbfee2b381e65fdd4c)
- Migration to Github organisation. [`d4cda34`](https://github.com/loophp/phposinfo/commit/d4cda342a8c25c07e12f5cb0b9218439eceea2e2)
- chore: Update static files. [`6ca4b7b`](https://github.com/loophp/phposinfo/commit/6ca4b7baa1e02cc67037a374e0fe297a097ead56)
- refactor: Fix Psalm issue. [`fddcd63`](https://github.com/loophp/phposinfo/commit/fddcd63e5f9e86f263c76a5b942b02d89cb3ac26)
- chore: Update static files. [`1afae1d`](https://github.com/loophp/phposinfo/commit/1afae1dad8838c9b06140dfd5da51d6d9a4cf70e)
- refactor: Minimum PHP version to 7.4. [`0526c49`](https://github.com/loophp/phposinfo/commit/0526c49dbf963233b76020884dabec4a53dec8f7)
- refactor: Remove superfluous PHPDoc tags. [`9583a1b`](https://github.com/loophp/phposinfo/commit/9583a1b6ce14a95dfdcd8a420181aaa41a63bd3f)
- Add missing test. [`6e921b9`](https://github.com/loophp/phposinfo/commit/6e921b9501c5cc59fb7e70504a777a1c1cfb4748)

## [1.6.5](https://github.com/loophp/phposinfo/compare/1.6.4...1.6.5) - 2020-05-19

### Commits

- Update continuous integration. [`36b0250`](https://github.com/loophp/phposinfo/commit/36b0250d38279c8a131a1898a31e359606024507)
- Update README file. [`ea4422f`](https://github.com/loophp/phposinfo/commit/ea4422f0da920c344fa74c9a939f0993a83c9a98)

## [1.6.4](https://github.com/loophp/phposinfo/compare/1.6.3...1.6.4) - 2020-05-19

### Merged

- Fixes #3: Adds uuid() method to get machine id. [`#4`](https://github.com/loophp/phposinfo/pull/4)

### Fixed

- Merge pull request #4 from danepowell/issue-3 [`#3`](https://github.com/loophp/phposinfo/issues/3)
- Fixes #3: Adds uuid() method to get machine id. [`#3`](https://github.com/loophp/phposinfo/issues/3)

### Commits

- Update composer.json. [`4f0b4cf`](https://github.com/loophp/phposinfo/commit/4f0b4cfd83d7d8bd1d7e598d4c3ea7cadd2998b1)
- Update logic to avoid returning from a switch/case. [`e17321b`](https://github.com/loophp/phposinfo/commit/e17321bf532d97e508f0b488ffa61485b742f549)

## [1.6.3](https://github.com/loophp/phposinfo/compare/1.6.2...1.6.3) - 2019-12-25

### Commits

- Update README. [`f5dbd4d`](https://github.com/loophp/phposinfo/commit/f5dbd4dd789b69f8ff59b6b19bf0307d1dc6b144)
- Remove obsolete files. [`7326e2b`](https://github.com/loophp/phposinfo/commit/7326e2bb4b17392c0f0f3a45eec12b3f362ddc51)
- Update Github actions configuration. [`653855f`](https://github.com/loophp/phposinfo/commit/653855fbbe1534813f6cf154bf7d1ae4e5b4997a)
- Bump contrib. [`ca7d51f`](https://github.com/loophp/phposinfo/commit/ca7d51f7a68e918825dd09f6c65c4a910c5f3122)
- Update Github actions configuration. [`2c03ec2`](https://github.com/loophp/phposinfo/commit/2c03ec20b04b19279d1080c9949654174b15afc5)
- Update Github actions configuration. [`bc87c5d`](https://github.com/loophp/phposinfo/commit/bc87c5d83d2872f3b4e90078718935dbc97fc3cf)
- Bump version. [`3f5e2b6`](https://github.com/loophp/phposinfo/commit/3f5e2b6af10799f841be6bfe4db9e6dcbf976589)
- Disable build with lowest deps for now. [`c95b755`](https://github.com/loophp/phposinfo/commit/c95b755c1fe98c760ba9100f8c3351451134677b)
- Update CircleCI configuration. [`05a8275`](https://github.com/loophp/phposinfo/commit/05a82750d723a0ec81369267244dbe2962885f53)
- Update CircleCI configuration. [`c08c357`](https://github.com/loophp/phposinfo/commit/c08c35754df412fdb85a6c42d7cb819db5371f43)
- Update static files. [`f382edc`](https://github.com/loophp/phposinfo/commit/f382edce1e36408fcdddb505a280aa9caf71fb2b)
- Update code style. [`4dd2630`](https://github.com/loophp/phposinfo/commit/4dd263097755a685369d7771c67e3a2010aa35e5)
- Add Github configuration file. [`d87b6f6`](https://github.com/loophp/phposinfo/commit/d87b6f68db5b738d1d3ebfc763d87e94531704ed)
- Remove Travis, enable Github actions. [`a28ed94`](https://github.com/loophp/phposinfo/commit/a28ed94c479458d68b3ceac99568f087f1d417ee)

## [1.6.2](https://github.com/loophp/phposinfo/compare/1.6.1...1.6.2) - 2019-09-11

### Merged

- Fix AppVeyor configuration. [`#2`](https://github.com/loophp/phposinfo/pull/2)

### Commits

- Add .gitattributes file. [`ff28651`](https://github.com/loophp/phposinfo/commit/ff28651bfed83cb788a893854eaaab8976d0af1e)

## [1.6.1](https://github.com/loophp/phposinfo/compare/1.6.0...1.6.1) - 2019-08-15

### Commits

- Update to newest drupol/php-conventions. [`835e7b3`](https://github.com/loophp/phposinfo/commit/835e7b35cddc7ad5cef5d066f906b33a59a43bce)
- Update composer.json. [`227957e`](https://github.com/loophp/phposinfo/commit/227957e47af7be0bce048d288b6c3af0d067056a)

## [1.6.0](https://github.com/loophp/phposinfo/compare/1.5.0...1.6.0) - 2019-07-23

### Commits

- Rename ::list() into ::getIterator(). [`3df5f12`](https://github.com/loophp/phposinfo/commit/3df5f1200953b792658e517e5b2ec18b54589cb2)
- Rename ::list() into ::getIterator(). [`7ee411a`](https://github.com/loophp/phposinfo/commit/7ee411a50ee64be343052066557b7b152671e5ab)
- Fix CircleCI tests. [`b14239f`](https://github.com/loophp/phposinfo/commit/b14239f86d1193bf53def70c2c524cccc06ba1ec)

## 1.5.0 - 2019-07-22

### Merged

- fixed grammatical error [`#1`](https://github.com/loophp/phposinfo/pull/1)

### Commits

- Add method ::register(). [`4799edf`](https://github.com/loophp/phposinfo/commit/4799edf1b55f05f1e0f52950dfd36bda2477e60a)
- Increase test coverage. [`f0ad975`](https://github.com/loophp/phposinfo/commit/f0ad9753ce006f65c7f60ad318f34d54cce6fe82)
- Fix code style. [`174a48d`](https://github.com/loophp/phposinfo/commit/174a48d532ab67997bdcbcb54a6d066a8038238a)
- Update README, set minimum PHP version to 5.6. [`2af3806`](https://github.com/loophp/phposinfo/commit/2af3806052890640b3b82cf7ad96114adad40a29)
- Fix PHP version in composer.json. [`8636e77`](https://github.com/loophp/phposinfo/commit/8636e77f47d011b9b7338b30ff18b41453c687db)
- Add a bootstrap file that automatically create PHP_OS and PHP_OS_FAMILY constants if they do not exists. [`f827366`](https://github.com/loophp/phposinfo/commit/f827366724b1a52384c9d5fb8551a2a9942dad04)
- Update to latest version of drupol/php-conventions. [`bcfd5d9`](https://github.com/loophp/phposinfo/commit/bcfd5d9a28abe411f4263dfbad6bd415c16b5201)
- Add Github files. [`cfa0e77`](https://github.com/loophp/phposinfo/commit/cfa0e77f0a53d4e0cf23c6ce2c2586c7237451bf)
- Try to disable cache on AppVeyor to avoid issues. [`ff4925f`](https://github.com/loophp/phposinfo/commit/ff4925f66edfac6cebe601b54423a9af68a9759a)
- Add CircleCI badge. [`01197e6`](https://github.com/loophp/phposinfo/commit/01197e6c9b0de8216b31fdc6072a0fbb97913317)
- Try circleCI. [`db99c0d`](https://github.com/loophp/phposinfo/commit/db99c0d4f6278f393934b1cceba881d2493ba385)
- Update README. [`fe444d7`](https://github.com/loophp/phposinfo/commit/fe444d71069239598825f9c608e262bd6f6119be)
- Increase tests coverage. [`a58ed4e`](https://github.com/loophp/phposinfo/commit/a58ed4ef0b6b89bebb79e8d2940e95b87bc486b8)
- Simplify the API, remove OsInfo::isFamilyName() and OsInfo::isOsName(). [`3b1ad26`](https://github.com/loophp/phposinfo/commit/3b1ad26ab0bdbff1b0bcfbd531ac246afcb5f534)
- Update badges. [`d6d2d12`](https://github.com/loophp/phposinfo/commit/d6d2d12ed62dd5e0a4ff6b80a9fc9d61e5a0cc70)
- Increases tests coverage. [`49e489a`](https://github.com/loophp/phposinfo/commit/49e489aebfd07347794ebec41e3c33074032e10c)
- Increase code coverage. [`796a114`](https://github.com/loophp/phposinfo/commit/796a11449635b04e1f35895cd04dd3c76793ec9b)
- Add OsName and FamilyName enums objects. [`9778184`](https://github.com/loophp/phposinfo/commit/977818422d8dcd76bba59dea1977ec65e63ece7b)
- Update minimal version of PHP. [`f3186a5`](https://github.com/loophp/phposinfo/commit/f3186a561100344ddc44bdab59a51d57cbc3db40)
- Fix Windows tests. [`d6758d3`](https://github.com/loophp/phposinfo/commit/d6758d333657c428b447fb7747d920f73a0eda2d)
- Update example in README. [`6cb50f9`](https://github.com/loophp/phposinfo/commit/6cb50f9ab55dc9728bb47b2fdb010edcc129e6e6)
- Fix typo in README. [`d56222a`](https://github.com/loophp/phposinfo/commit/d56222a0038d511ac7a3fa7008b7f08b3c08437f)
- Rename a method. [`97e6cfa`](https://github.com/loophp/phposinfo/commit/97e6cfa53e08de265575e54555a378db10328254)
- Preventive code to avoid warnings. [`fab346d`](https://github.com/loophp/phposinfo/commit/fab346daef0ababb82161fa2f9462f0a12f689e1)
- Add two useful extra methods. [`b5a9b1b`](https://github.com/loophp/phposinfo/commit/b5a9b1b0a7c322831c5e64e0c1ba4c614337b1de)
- Update README. [`6f431eb`](https://github.com/loophp/phposinfo/commit/6f431ebdc7366257bcf66ff9c297859bb07bfa2f)
- Fix PHPStan and PHP-CS-Fixer. [`ea24ddb`](https://github.com/loophp/phposinfo/commit/ea24ddba9a307b3812d6821a1bdfa354bff092f3)
- Rewording small sentences. [`d8be948`](https://github.com/loophp/phposinfo/commit/d8be948a8a6f9fbd0132729ad15c8eb5f851a2d5)
- Update main class. [`22c5df1`](https://github.com/loophp/phposinfo/commit/22c5df1f4715b88a6c612bb53369be7a1950ab98)
- Update main class. [`2e9ac79`](https://github.com/loophp/phposinfo/commit/2e9ac7967d14e225c392e9c8ef675c37f11f19ef)
- Update README file. [`d3642c4`](https://github.com/loophp/phposinfo/commit/d3642c4c4307171c0a6754638513ca3cb8e15548)
- Remove debug information. [`66a51c1`](https://github.com/loophp/phposinfo/commit/66a51c1d441dd9bb0e5bac659605ffe84cb0e4d3)
- Print debug information. [`5ff4a2a`](https://github.com/loophp/phposinfo/commit/5ff4a2a20e7ce44681575530ec3a2be36b93c0ae)
- Debug information on AppVeyor. [`63f378d`](https://github.com/loophp/phposinfo/commit/63f378dd9f175bafedd70fac6225ea842725ee86)
- Refactoring, remove the Groups and use Family only. [`e2d2036`](https://github.com/loophp/phposinfo/commit/e2d203620bba7b29e21f643deeb92bc00525f3bf)
- Update README. [`f8a18ee`](https://github.com/loophp/phposinfo/commit/f8a18ee72fe441f937d489d45e27244c24d2042f)
- Initial commit. [`d683428`](https://github.com/loophp/phposinfo/commit/d6834287ea6f4ec4b7d8572efd7aa8ea3d532b8b)
- PHP &gt;= 7. [`fed0f1d`](https://github.com/loophp/phposinfo/commit/fed0f1d0db30ea6f4230aabdfaae52bddf027082)
- Initial commit. [`7b9e202`](https://github.com/loophp/phposinfo/commit/7b9e2029f6065f3da225818013854b07c4ee2f19)
